## ros-rolling-velodyne-pointcloud 2.3.0

=== debian/changelog ===
ros-rolling-velodyne-pointcloud (2.3.0-2jammy) jammy; urgency=high

  * Passing fixed_frame and target_frame to Convert object. (#330 <https://github.com/ros-drivers/velodyne/issues/330>) (#451 <https://github.com/ros-drivers/velodyne/issues/451>)
    Co-authored-by: Joshua Whitley <mailto:jwhitley@autonomoustuff.com>
  * Updating maintainer email address. (#450 <https://github.com/ros-drivers/velodyne/issues/450>)
    * Updating maintainer email address.
    * chore: update maintainer email address
    Co-authored-by: Joshua Whitley <mailto:jwhitley@autonomoustuff.com>
  * Add per point time field (#440 <https://github.com/ros-drivers/velodyne/issues/440>)
    * Initial commit to timestamp each point using the timing spec in the manuals
    * Added model param to each of the cloud nodelet starters
    * Minor cleanup. added author tag to rawdata
    * Move timing offsets functionality into class private. Also fix linter errors
    * added #include <vector> for linter
    * fix: suppress compiler warning
    * feat: change XYZIR to XYZIRT
    Co-authored-by: Shawn Hanna <mailto:shawn@kaarta.com>
  * Link against yaml-cpp (#443 <https://github.com/ros-drivers/velodyne/issues/443>)
  * Increase the max_range of the 32C launch file (#323 <https://github.com/ros-drivers/velodyne/issues/323>) (#441 <https://github.com/ros-drivers/velodyne/issues/441>)
    Co-authored-by: Shawn Hanna <mailto:50845122+kaarta-SHanna@users.noreply.github.com>
  * fix for #267 <https://github.com/ros-drivers/velodyne/issues/267>, transform each packet (#438 <https://github.com/ros-drivers/velodyne/issues/438>)
    * fix for #267 <https://github.com/ros-drivers/velodyne/issues/267>, transform each packet
    * fix: fix scope of access modifiers
    Co-authored-by: Sebastian <mailto:spuetz@uos.de>
  * Replace deprecated argument names in launch (#430 <https://github.com/ros-drivers/velodyne/issues/430>)
  * 2.1.1
  * Updating for first Galactic release
  * Contributors: Daisuke Nishimatsu, Joshua Whitley, Keane Quigley, Stephan Sundermann

 -- Josh Whitley <whitleysoftwareservices@gmail.com>  Fri, 08 Jul 2022 07:00:00 -0000

ros-rolling-velodyne-pointcloud (2.1.1-2jammy) jammy; urgency=high



 -- Josh Whitley <whitleysoftwareservices@gmail.com>  Mon, 23 Aug 2021 07:00:00 -0000

ros-rolling-velodyne-pointcloud (2.1.0-2jammy) jammy; urgency=high



 -- Josh Whitley <whitleysoftwareservices@gmail.com>  Fri, 10 Jul 2020 07:00:00 -0000

ros-rolling-velodyne-pointcloud (2.0.0-2jammy) jammy; urgency=high

  * More fixing of dependencies. (#333 <https://github.com/ros-drivers/velodyne/issues/333>)
    * More fixing of dependencies.
  * Fixes pointed out by clang-tidy (#310 <https://github.com/ros-drivers/velodyne/issues/310>)
    * Rearrange header includes so clang-tidy is happy.
    * Get rid of unnecessary void arguments on methods.
    * Properly mark methods as override where appropriate.
    * Initialize members and stack variables to zero before use.
    * Mark function implementations in header files 'inline'.
    * Use more efficient 'empty' method instead of empty string.
    * Get rid of unnecessary else statements after a continue/return.
    * Get rid of unnecessary == false use.
    * Make sure to add a virtual destructor to DataContainerBase.
    * Use string != comparison instead of 'compare' method.
    * Rename PointcloudXYZIR parameter name to match implementation.
    * Get rid of usage of typedef.
    * Be more explicit about using floats.
    * Do an explicit lround to do int->float conversion.
    * Fix the intensity calculation.
    * Remove the azimuth from addPoint.
    * Make sure to reset the cloud data to 0 before reusing.
    * Use underscores on pointcloud member variables.
    * Using std::lround means we don't need to add 0.5 to the result.
    * Slightly rearrange and simplify range checks.
    * Add in example launch files for VLP32C.
  * A few more minor style updates. (#308 <https://github.com/ros-drivers/velodyne/issues/308>)
    - Get rid of the last users of new in the codebase
    - Get rid of the users of 'using' in the codebase
    - Rename 'calibrationFile' -> 'calibration_file'
  * Dashing fixes (#307 <https://github.com/ros-drivers/velodyne/issues/307>)
    * Use std::make_unique as appropriate.
    * Fix the azimuth calculation.
    * Fix a crash during driver startup.
    * Always recalculate the row_step while setting up the cloud.
    * Make sure to call computeTransformation.
    * Fix style errors pointed out by flake8.
  * ROS2: Add Linters to velodyne_pointcloud (#304 <https://github.com/ros-drivers/velodyne/issues/304>)
    * VP: Renaming files.
    * VP: Fixed copyrights.
    * VP: cpplint is satisfied!
    * VP: Converted gen_calibration.py to Python3.
    * Uncrustify fixed!
    * VP: Lint errors clear.
    * VP: Moving organized_cloud and pointcloud to lib and building as library.
  * Check for intra-process subscribers
  * Add in example launch files.
  * Disable copy, move, and assign operators.
  * Build the components so the velodyne can be run as a component.
  * Add in NodeOptions to node constructors.
  * Only find the "common" component to PCL.
  * Make sure to install the header files for laserscan and pointcloud.
  * Properly setup the row_step.
  * Add explicit, final, and override to classes where appropriate.
  * Remove organize_cloud, fixed_frame, and target_frame configs.
  * Stop storing view_{direction,width} in the Node classes.
  * Stop storing {min,max}_range in the Node classes.
  * Make DataContainerBase::configure const reference string parameters.
  * Switch argument order to always be (min,max)
  * Remove tmp_{min,max}_angle from stored RawData config.
  * Remove unused tf_ptr.
  * Switch container_ptr to a unique_ptr.
  * container_ptr -> container_ptr_
  * Don't store number of lasers in the Transfrom/Convert node.
  * Make the RawData class RAII-style.
  * Make RawData::setup not return the number of lasers.

